
function mudfish_adclean_f29343f0ee7705f7b92768051075d0a6() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`.right_aside > *:not([class*="_"]):not([class^="aside"]):has(~ .right_bx, ~ div[class^="aside"])`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_f29343f0ee7705f7b92768051075d0a6();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_f29343f0ee7705f7b92768051075d0a6();
  });
}
